/**-----------------------------------------------------------------------------

  Name         :  stm32_Butterfly.h
  Description  :  Header file for EG9018C demo project
  Author       :  Aleksander Borysiuk

  History      :  2011.04.21 - ver.1.0

------------------------------------------------------------------------------*/

#ifndef _stm32_Butterfly_H_
#define _stm32_Butterfly_H_

// STM32 Butterfly joystick and LEDs
#define JOY_OK      GPIO_Pin_8  // joystick - key: OK
#define JOY_UP      GPIO_Pin_9  // joystick - key: UP
#define JOY_DOWN    GPIO_Pin_10 // joystick - key: DOWN
#define JOY_RIGHT   GPIO_Pin_11 // joystick - key: RIGHT
#define JOY_LEFT    GPIO_Pin_12 // joystick - key: LEFT

#define LED_1       GPIO_Pin_14 // Butterfly LED1
#define LED_2       GPIO_Pin_15 // Butterfly LED2

/* Public variables ----------------------------------------------------------*/
typedef enum {KEY_NULL, KEY_OK, KEY_UP, KEY_DOWN, KEY_RIGHT, KEY_LEFT} key_codeTypeDef;
extern key_codeTypeDef joystick_key;

/* Public functions ----------------------------------------------------------*/

#endif
/*----------------------------- End of file ----------------------------------*/
